Subject: Re: [parse-options] proposal for merge, take 1

From: Pierre Habouzit <[email-masked]>
Date: Tue, 16 Oct 2007 10:43:35 +0200

On mar, oct 16, 2007 at 08:20:10 +0000, Pierre Habouzit wrote:
> On mar, oct 16, 2007 at 08:16:31 +0000, Pierre Habouzit wrote:
> >   The branch is available from git://git.madism.org/git.git in the topic
> > branch ph/parseopt. I just rebased it onto the last "next" spearce
> > produced.
> 
> >       Make builtin-pack-objects.c use parse_options.
> 
>   ERRR DON'T TAKE 25/25, it's WIP and is broken atm, format-patch again
> hasn't DWIM. It is not pushed to git://git.madism.org/git.git btw.

okay I'm wrong, sorry for the alarm, I just generated the --stat and shortlog
too broadly, but 25/25 is definitely OK.

Proper stats for part2 are:

  Jonas Fonseca (1):
      Update manpages to reflect new short and long option aliases

  Kristian Høgsberg (1):
      Port builtin-add.c to use the new option parser.

  Pierre Habouzit (15):
      Make builtin-rm.c use parse_options.
      Make builtin-mv.c use parse-options
      Make builtin-branch.c use parse_options.
      Make builtin-describe.c use parse_options
      Make builtin-fetch.c use parse_options.
      Make builtin-revert.c use parse_options.
      Make builtin-update-ref.c use parse_options
      Make builtin-symbolic-ref.c use parse_options.
      Make builtin-http-fetch.c use parse_options.
      Make builtin-for-each-ref.c use parse-opts.
      Make builtin-fsck.c use parse_options.
      Make builtin-count-objects.c use parse_options.
      Make builtin-name-rev.c use parse_options.
      Make builtin-pack-refs.c use parse_options.
      Make builtin-show-ref.c use parse_options [small backward incompatibility].

    Documentation/git-add.txt          |    4 +-
    Documentation/git-branch.txt       |    2 +-
    Documentation/git-mv.txt           |    2 +-
    Documentation/git-rm.txt           |    4 +-
    Documentation/git-show-ref.txt     |    4 +-
    Documentation/git-symbolic-ref.txt |    2 +-
    builtin-add.c                      |   70 ++++++-----------
    builtin-branch.c                   |  147 +++++++++++++-----------------------
    builtin-count-objects.c            |   32 ++++----
    builtin-describe.c                 |   70 +++++++----------
    builtin-fetch.c                    |  146 ++++++++++++------------------------
    builtin-for-each-ref.c             |  138 +++++++++++++++-------------------
    builtin-fsck.c                     |   80 ++++++-------------
    builtin-http-fetch.c               |   65 +++++++---------
    builtin-mv.c                       |   84 +++++++++------------
    builtin-name-rev.c                 |   64 ++++++----------
    builtin-pack-refs.c                |   47 +++++-------
    builtin-revert.c                   |   67 +++++++---------
    builtin-rm.c                       |   54 ++++++--------
    builtin-show-ref.c                 |  127 +++++++++++--------------------
    builtin-symbolic-ref.c             |   52 +++++--------
    builtin-update-ref.c               |   65 ++++++----------
    22 files changed, 515 insertions(+), 811 deletions(-)

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org